{
    "format_version": "1.10.0",
    "particle_effect": {
        "description": {
            "identifier": "oct_spcrs:headlight_beam",
            "basic_render_parameters": {
                "material": "particles_add",
                "texture": "textures/octovon/spcrs/particles/car_headlight_beam"
            }
        },
        "components": {
            "minecraft:emitter_initialization": {
                "per_update_expression": "variable.lights_off;"
            },
            "minecraft:emitter_local_space": {
                "position": true,
                "rotation": false
            },
            "minecraft:emitter_rate_instant": {
                "num_particles": 1
            },
            "minecraft:emitter_lifetime_expression": {
                "activation_expression": 1,
                "expiration_expression": "(q.time_of_day > 0.25 && q.time_of_day < 0.75) || !q.has_rider"
            },
            "minecraft:emitter_shape_point": {
                "offset": [
                    0,
                    "4 + (1-v.entity_scale)",
                    0
                ]
            },
            "minecraft:particle_lifetime_expression": {
                "expiration_expression": "(q.time_of_day > 0.25 && q.time_of_day < 0.75) || !q.has_rider"
            },
            "minecraft:particle_initial_speed": 0,
            "minecraft:particle_motion_dynamic": {},
            "minecraft:particle_appearance_billboard": {
                "size": [
                    1.5,
                    "4 - (1-v.entity_scale)"
                ],
                "facing_camera_mode": "emitter_transform_xy",
                "uv": {
                    "texture_width": 64,
                    "texture_height": 256,
                    "uv": [
                        0,
                        0
                    ],
                    "uv_size": [
                        64,
                        256
                    ]
                }
            },
            "minecraft:particle_appearance_tinting": {
                "color": [
                    1,
                    0.97255,
                    0.76471,
                    0.34118
                ]
            }
        }
    }
}